Unverified Commit 6d0caec2 authored by Amin Bandali's avatar Amin Bandali Committed by Maxim Cournoyer
Browse files

debian: build and package client-qt

Also remove unused DEBIAN_PACKAGING_OVERRIDE.

Change-Id: Ida109a811bebd1fb46fd1a8b90fb5463518382c0
parent 019583c0
FROM debian:buster
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y vim devscripts
apt-get install -y -o Acquire::Retries=10 \
ca-certificates \
devscripts \
dirmngr \
gnupg \
wget
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
git \
autoconf \
automake \
autopoint \
cmake \
nasm \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/debian_10_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
FROM arm64v8/debian:buster
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y vim devscripts
apt-get install -y -o Acquire::Retries=10 \
ca-certificates \
devscripts \
dirmngr \
gnupg \
wget
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
git \
autoconf \
automake \
autopoint \
cmake \
nasm \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/debian_10_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
FROM arm32v7/debian:buster
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y vim devscripts
apt-get install -y -o Acquire::Retries=10 \
ca-certificates \
devscripts \
dirmngr \
gnupg \
wget
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
git \
autoconf \
automake \
autopoint \
cmake \
nasm \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/debian_10_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
FROM i386/debian:buster
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y vim devscripts
apt-get install -y -o Acquire::Retries=10 \
ca-certificates \
devscripts \
dirmngr \
gnupg \
wget
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retires=10 \
git \
autoconf \
automake \
autopoint \
cmake \
nasm \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libappindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/debian_10_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
ADD scripts/build-package-debian.sh /opt/build-package-debian.sh
......
FROM ubuntu:18.04
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y devscripts equivs
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retries=10 \
g++-8 \
ca-certificates \
devscripts \
dirmngr \
equivs \
gcc-8 \
cpp-8 \
file \
make \
libc6-dev \
libstdc++-8-dev \
git \
autoconf \
automake \
autopoint \
cmake \
libdbus-1-dev \
libdbus-c++-dev \
libgnutls28-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
nasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libayatana-appindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev \
libsndfile1-dev
g++-8 \
gnupg \
wget
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/ubuntu_18.04_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
RUN update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 50
RUN update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 50
......
FROM i386/ubuntu:18.04
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y devscripts equivs
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retries=10 \
g++-8 \
ca-certificates \
devscripts \
dirmngr \
equivs \
gcc-8 \
cpp-8 \
file \
make \
libc6-dev \
libstdc++-8-dev \
git \
autoconf \
automake \
autopoint \
cmake \
libdbus-1-dev \
libdbus-c++-dev \
libgnutls28-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
nasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \
libavutil-dev \
libavformat-dev \
libswscale-dev \
libavdevice-dev \
libopus-dev \
libudev-dev \
libgsm1-dev \
libjsoncpp-dev \
libmsgpack-dev \
libnatpmp-dev \
libayatana-appindicator3-dev \
libqrencode-dev \
libnm-dev \
libwebkit2gtk-4.0-dev \
libcrypto++-dev \
libva-dev \
libvdpau-dev \
libssl-dev \
libsndfile1-dev
g++-8 \
gnupg \
wget
RUN wget -O - https://dl.jami.net/public-key.gpg | \
tee /usr/share/keyrings/jami-archive-keyring.gpg > /dev/null
RUN sh -c "echo 'deb [signed-by=/usr/share/keyrings/jami-archive-keyring.gpg] https://dl.jami.net/nightly/ubuntu_18.04_qt/ jami main' > /etc/apt/sources.list.d/libqt-jami.list"
# add deb-src entries (needed for next step)
RUN sed -n '/^deb\s/s//deb-src /p' /etc/apt/sources.list > /etc/apt/sources.list.d/deb-src.list
RUN apt-get clean && apt-get update
COPY packaging/rules/debian/* ${OVERRIDE_PACKAGING_DIR} /tmp/builddeps/debian/
RUN cd /tmp/builddeps/debian; \
if [ -n "${OVERRIDE_PACKAGING_DIR}" ] && [ -d "$(basename ${OVERRIDE_PACKAGING_DIR})" ]; then \
mv "$(basename ${OVERRIDE_PACKAGING_DIR})"/* .; \
rm -r "$(basename ${OVERRIDE_PACKAGING_DIR})"; \
fi; \
cd ..; \
apt-get update; \
mk-build-deps \
--remove --install \
--tool "apt-get -y --no-install-recommends -o Acquire::Retries=10" \
"debian/control"; \
cd / && rm -rf /tmp/builddeps
RUN update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-8 50
RUN update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-8 50
......
FROM ubuntu:20.04
ENV DEBIAN_FRONTEND noninteractive
ENV DEBIAN_FRONTEND=noninteractive
RUN apt-get clean
RUN apt-get update && \
apt-get install -y devscripts equivs
# Speed up mk-build-deps
RUN apt-get clean
RUN apt-get update && \
apt-get install -y -o Acquire::Retries=10 \
git \
autoconf \
automake \
autopoint \
cmake \
libtool \
libdbus-1-dev \
libdbus-c++-dev \
libgnutls28-dev \
libargon2-0-dev \
libcanberra-gtk3-dev \
libclutter-gtk-1.0-dev \
libclutter-1.0-dev \
libglib2.0-dev \
libgtk-3-dev \
libnotify-dev \
qtbase5-dev \
qttools5-dev \
qttools5-dev-tools \
yasm \
nasm \
autotools-dev \
gettext \
libpulse-dev \
libasound2-dev \
libexpat1-dev \
libpcre3-dev \
libyaml-cpp-dev \
libboost-dev \
libxext-dev \
libxfixes-dev \
libspeex-dev \
libspeexdsp-dev \
uuid-dev \
libavcodec-dev \